Subject: Problem with git send-email and --reply-to

From: Christian König <[email-masked]>
Date: Fri, 24 Apr 2026 15:13:57 +0200

Hello everybody,

either I've found a bug or there is something absolutely not obvious going on here with git send-email.

I want to use the --reply-to option with git send-email to make sure that people reply to my AMD mail address and not my gmail address used for sending mails.

When I use the option on the command line it works fine, but when I put that into my .gitconfig it doesn't seem to have any effect.

Any idea what could be wrong here?

.gitconfig looks like this:

[user]
    name = Christian König
    email = [email-masked]
[sendemail]
    reply-to = [email-masked]

Thanks in advance,
Christian.